Bug 863989 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:64583969a4249a742db138c6278...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 05:23 EDT by teupoui
Modified: 2013-08-01 15:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-10-08 05:23 EDT, teupoui
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (373 bytes, text/plain)
2012-10-08 05:23 EDT, teupoui
no flags Details

  None (edit)
Description teupoui 2012-10-08 05:23:30 EDT
Description of problem:
*** Episode 1 ***
I exited the sleep mode but my mouse was freezed and my trackpad was only scrolling. I thought it was something on it that was making it behave like there was all the time a second finger on it (2 fingers is scrolling mode in my configuration) but could not clean it away.

I assumed it could be a software bug, exited all my programs and rebooted. It is possible that Thunderbird, which I exited last, needed more time to exit than I let it (it usually uses hundreds of megabytes of RAM, I do not think it is normal but every program has similar problem so I suppose it is the window manager who allocates too much memory to windows). Anyway, I did not watch it but it rebooted well as far as I know.

When I came back a minute or two later and logged in my session, I immediately got this message. As everything seems fine, I assumed it was about a crash before logging in, and thought it was probably related to problem just before rebooting.

I wrote this bug report but entered my nickname instead of my mail address and got an error at sending, lost everything and forgot about it.

*** Episode 2 ***
Got the same trackpad bug after some sort of small freeze happening when you have too much things for the RAM memory. A USB mouse worked fine, so I decided to update all my software and reboot. Got the same Xorg server crash warning and found the above text had been saved. Wrote this additionnal information. Twice the bug, twice at startup after a reboot following the trackpad bug.


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f862c9c8000+0x513e) [0x7f862c9cd13e]
:4: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f862c9c8000+0x6f44) [0x7f862c9cef44]
:5: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:6: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:7: /lib64/libpthread.so.0 (0x3942000000+0xefe0) [0x394200efe0]
:8: /usr/bin/Xorg (0x400000+0x150f50) [0x550f50]
:9: /usr/bin/Xorg (mieqProcessDeviceEvent+0x152) [0x551872]
:10: /usr/bin/Xorg (mieqProcessInputEvents+0xf8) [0x5519f8]
:11: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x480809]
:12: /usr/bin/Xorg (0x400000+0x34102) [0x434102]
:13: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3941821735]
:15: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 teupoui 2012-10-08 05:23:33 EDT
Created attachment 623355 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 teupoui 2012-10-08 05:23:35 EDT
Created attachment 623356 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Adam Jackson 2012-10-18 17:50:25 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 4 Adam Jackson 2012-10-18 17:50:42 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 5 teupoui 2012-11-18 18:39:13 EST
Hello,

I updated and could not reproduce.

However, I today have a problem with my touchpad (not trackpad sorry) that I believe is linked, and 100% reproducible : at startup touchpad works perfect, but at the moment I log into my session, it instantly and completely stops to.

I can still use a USB mouse with no weird behaviour though, so the problem is about the combination of session & touchpad.
Comment 6 teupoui 2012-11-18 18:47:29 EST
Logged in a new session I just created to test a touchpad bug in another session. No touchpad problem here, but I have this error message at startup I had not in the other session.

-> bug report 877816
https://bugzilla.redhat.com/show_bug.cgi?id=877816
Comment 7 Fedora End Of Life 2013-07-04 03:37:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 15:58:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.